#
# spec file for package java-1_4_2-sun (Version 1.4.2_update18)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv jpackage-utils klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives update-desktop-files util-linux vim zlib zlib-devel


Name:           java-1_4_2-sun
BuildRequires:  jpackage-utils update-alternatives update-desktop-files
%define section         non-free
%define origin          sun
%define priority        1426
%define javaver         1.4.2
%define buildver        18
%define version         %{javaver}.%{buildver}
%define release         3jpp
%define toplevel_dir    j2sdk%{javaver}_%{buildver}
%define sdklnk          java-%{javaver}-%{origin}
%define jrelnk          jre-%{javaver}-%{origin}
%define sdkdir          %{name}-%{version}
%define jredir          %{sdkdir}/jre
%define sdkbindir       %{_jvmdir}/%{sdklnk}/bin
%define jrebindir       %{_jvmdir}/%{jrelnk}/bin
%define jvmjardir       %{_jvmjardir}/%{name}-%{version}
%define x11bindir       %{_prefix}/X11R6/bin
%define x11encdir       %{_prefix}/X11R6/lib/X11/fonts/encodings
%define fontconfigdir   %{_sysconfdir}/fonts
%define fontdir         %{_datadir}/fonts/java
%define xsldir          %{_datadir}/xml/%{name}-%{version}
%ifarch %ix86
%define javaws_ver      %{javaver}
%define javaws_version  1_4_2_%{buildver}
%define pluginname      libjavaplugin_oji.so
%define pluginpath      %{_jvmdir}/%{jredir}/plugin/i386/ns610-gcc32
%define pluginsdir      %{_libdir}/browser-plugins
%endif
# Avoid RPM 4.2+'s internal dep generator, it may produce bogus
# Provides/Requires here.
%define _use_internal_dependency_generator 0
# This prevents aggressive stripping.
%define debug_package %{nil}
Version:        1.4.2_update18
Release:        0.3
Summary:        Java(TM) 2 Runtime Environment
License:        Other License(s), see package
Group:          Development/Languages/Java
Url:            http://java.sun.com/j2se/1.4.2/download.html
Source0:        j2sdk-1_4_2_%{buildver}-linux-i586.bin
NoSource:       0
Source1:        font.properties.ja.suse
Source2:        font.properties.ko.suse
Source3:        font.properties.zh_CN.suse
Source4:        font.properties.zh_TW.suse
Source5:        font.properties.suse
Source6:        j2sdk-1_4_2_%{buildver}-linux-ia64.bin
NoSource:       6
%define         tzversion 1_3_9-2008g
Source100:      tzupdater-%{tzversion}.zip
NoSource:       100
%define         tzupdate true 
Provides:       jre-%{javaver}-%{origin} = %{version}-%{release}
Provides:       jre-%{origin} = %{version}-%{release}
Provides:       jre-%{javaver}, java-%{javaver}, jre = %{javaver}
Provides:       java-%{origin} = %{version}-%{release}
Provides:       java = %{javaver}
PreReq:         /usr/sbin/update-alternatives, /bin/ln
Requires:       jpackage-utils >= 1.5.26
Conflicts:      kaffe
ExclusiveArch:  %ix86 ia64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       java-%{javaver} = %{version}
Provides:       java = %{javaver}
%ifarch %ix86
Provides:       javaws = %{javaws_ver}
%endif
Provides:       jndi = %{javaver}, jndi-ldap = %{javaver}
Provides:       jndi-cos = %{javaver}, jndi-rmi = %{javaver}
Provides:       jndi-dns = %{javaver}
Provides:       jaas = %{javaver}
Provides:       jsse = %{javaver}
Provides:       jce = %{javaver}
Provides:       jdbc-stdext = 3.0, jdbc-stdext = %{javaver}
Provides:       jre1.1.x jre1.2.x jre1.3.x jre1.4.x 
Obsoletes:      java2-jre
PreReq:         /usr/sbin/update-alternatives
Provides:       java2-jre
Provides:       j2re = %{javaver}, j2re

%description
The Java(TM) 2 Runtime Environment contains the Java virtual machine,
runtime class libraries, and Java application launcher that are
necessary to run programs written in the Java progamming language. It
is not a development environment and does not contain development tools
such as compilers and debuggers.  For development tools, see the
java-1_4_2-sun-devel package.

The Java 2 Runtime Environment is intended for software developers and
vendors who wish to redistribute their applications.



%debug_package
%package        devel

Summary:        Java(TM) 2 SDK, Standard Edition
Group:          Development/Languages/Java
PreReq:         /usr/sbin/update-alternatives
Provides:       java-sdk-%{javaver}-%{origin} = %{version}-%{release}
Provides:       java-sdk-%{origin} = %{version}-%{release}
Provides:       java-sdk-%{javaver}, java-sdk = %{javaver}
Provides:       java-devel-%{origin} = %{version}-%{release}
Provides:       java-%{javaver}-devel, java-devel = %{javaver}
Provides:       jdk1.1.x sdk1.2.x sdk1.3.x sdk1.4.x
Requires:       %{name} = %{version}-%{release}
Obsoletes:      java2
Provides:       java2
Provides:       j2sdk = %{javaver}, j2sdk

%description    devel
The Java 2 SDK is a development environment for building applications,
applets, and components using the Java programming language.

The Java 2 SDK includes tools useful for developing and testing
programs written in the Java programming language and running on the
Java platform. These tools are designed to be used from the command
line. Except for the appletviewer, these tools do not provide a
graphical user interface.



%package        src

Summary:        Source files for java-1.4.2-sun
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}

%description    src
This package contains the sources of all classes that make up the Java
2 Standard Edition API, as provided by Sun.



%package        demo

Summary:        Demonstration files for java-1.4.2-sun
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}

%description    demo
This package contains demonstration files for java-1.4.2-sun.



%ifarch %ix86 

%package        plugin

Summary:        Browser plugin files for java-1.4.2-sun
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}
Requires:       %{_bindir}/find, sed
Provides:       java-plugin = %{javaver}, java-%{javaver}-plugin = %{version}
Conflicts:      java-%{javaver}-ibm-plugin, java-%{javaver}-blackdown-plugin
Conflicts:      java-%{javaver}-bea-plugin
Obsoletes:      java-1.3.1-plugin, java-1.4.0-plugin, java-1.4.1-plugin

%description    plugin
This package contains browser plugin files for java-1.4.2-sun. Note:
this package supports browsers built with GCC 3.2 and later.



%package        alsa

Summary:        ALSA support for java-1.4.2-sun
Group:          Development/Libraries/Java
Requires:       %{name} = %{version}-%{release}

%description    alsa
This package contains Advanced Linux Sound Architecture (ALSA) support
libraries for java-1.4.2-sun.



Authors:
--------
    	

%endif

%package        jdbc

Summary:        JDBC/ODBC bridge driver for java-1.4.2-sun
Group:          Development/Libraries/Java
AutoReq:        no
Requires:       %{name} = %{version}-%{release}
Requires:       %{_libdir}/libodbc.so, %{_libdir}/libodbcinst.so
Provides:       %{name}-jdbc = %{version}, java-jdbc = %{version}

%description    jdbc
This package contains the JDBC/ODBC bridge driver for java-1.4.2-sun.



%prep
%ifarch %ix86 
rm -rf $RPM_BUILD_DIR/%{toplevel_dir}
export MORE=10000
sh %{SOURCE0} <<EOF >/dev/null
yes
EOF
%endif
%ifarch ia64
rm -rf $RPM_BUILD_DIR/%{toplevel_dir}
export MORE=10000
sh %{SOURCE6} <<EOF >/dev/null
yes
EOF
%endif
%setup -T -D -n %{toplevel_dir}
chmod -R go=u-w *
chmod -R u+w *
if [ "%tzupdate" = "true" ]
then
%define tzname %(echo %{tzversion} | sed 's/_/./g')
  unzip %{SOURCE100}
  ./bin/java -jar tzupdater-%{tzname}/tzupdater.jar -v -u
fi

%build
# Nope.

%install
rm -rf $RPM_BUILD_ROOT
# main files
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
cp -a bin include lib src.zip $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
# extensions handling
install -d -m 755 $RPM_BUILD_ROOT%{jvmjardir}
pushd $RPM_BUILD_ROOT%{jvmjardir}
   ln -sf %{_jvmdir}/%{jredir}/lib/jsse.jar jsse-%{version}.jar
   ln -sf %{_jvmdir}/%{jredir}/lib/jce.jar jce-%{version}.jar
   ln -sf %{_jvmdir}/%{jredir}/lib/rt.jar jndi-%{version}.jar
   ln -sf %{_jvmdir}/%{jredir}/lib/rt.jar jndi-ldap-%{version}.jar
   ln -sf %{_jvmdir}/%{jredir}/lib/rt.jar jndi-cos-%{version}.jar
   ln -sf %{_jvmdir}/%{jredir}/lib/rt.jar jndi-rmi-%{version}.jar
   ln -sf %{_jvmdir}/%{jredir}/lib/rt.jar jaas-%{version}.jar
   ln -sf %{_jvmdir}/%{jredir}/lib/rt.jar jdbc-stdext-%{version}.jar
   ln -sf jdbc-stdext-%{version}.jar jdbc-stdext-3.0.jar
   for jar in *-%{version}.jar ; do
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|-%{javaver}.jar|g")
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd
# rest of the jre
cp -a jre/bin jre/lib .systemPrefs $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
%ifarch %ix86 
cp -a jre/plugin $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
%endif
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/endorsed
# improved font.properties for use on SUSE Linux
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/font.properties.ja
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/font.properties.ko
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/font.properties.zh_CN
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/font.properties.zh_TW
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/font.properties
# jce policy file handling
install -d -m 755 $RPM_BUILD_ROOT%{_jvmprivdir}/%{name}/jce/vanilla
for file in local_policy.jar US_export_policy.jar; do
  mv $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security/$file \
    $RPM_BUILD_ROOT%{_jvmprivdir}/%{name}/jce/vanilla
  # for ghosts
  touch $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security/$file
done
# versionless symlinks
pushd $RPM_BUILD_ROOT%{_jvmdir}
ln -sf %{jredir} %{jrelnk}
ln -sf %{sdkdir} %{sdklnk}
popd
pushd $RPM_BUILD_ROOT%{_jvmjardir}
ln -sf %{sdkdir} %{jrelnk}
ln -sf %{sdkdir} %{sdklnk}
popd
%ifarch %ix86 
  install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/javaws
  cp -a jre/javaws/* $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/javaws
  perl -p -i -e 's#javaws\.cfg\.jre\.0\.path=.*#javaws\.cfg\.jre\.0\.path=%{jredir}/bin/java#' $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/javaws/javaws.cfg
# freedesktop.org menu entry for plugin config tool
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop
[Desktop Entry]
Name=Sun Java Plug-in Control Panel
Comment=Sun Java %{version} Java Plug-in Control Panel
Exec=%{_jvmdir}/%{jredir}/bin/ControlPanel
Icon=sun-java-%{version}-%{release}.png
Terminal=false
Type=Application
Encoding=UTF-8
EOF
%suse_update_desktop_file $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop -r Java System SystemSetup
install -Dpm 644 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/plugin/desktop/sun_java.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/sun-java-%{version}-%{release}.png
# menu entry for web start (reuse plugin control panel icon)
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop
[Desktop Entry]
Name=Sun Java Web Start
Comment=Sun Java %{version} Web Start Application Manager
Exec=%{_jvmdir}/%{jredir}/javaws/javaws
Icon=sun-java-%{version}-%{release}.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Application;System;Java;X-JPackage;
EOF
chmod 644 $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop
%suse_update_desktop_file $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop -r Java System Monitor 
%endif
rm -f $RPM_BUILD_ROOT/.mailcap
rm -f $RPM_BUILD_ROOT/.mime.types
# man pages
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
for manpage in man/man1/*; do
  install -m 644 -p $manpage $RPM_BUILD_ROOT%{_mandir}/man1/`basename $manpage .1`-%{name}.1
done
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a demo $RPM_BUILD_ROOT%{_datadir}/%{name}
# Most of this shamelessly stolen from redhat's kdebase-2.2.2 specfile
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type d \
  | sed 's|'$RPM_BUILD_ROOT'|%dir |' >  %{name}-%{version}-all.files
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type f -o -type l \
  | sed 's|'$RPM_BUILD_ROOT'||'      >> %{name}-%{version}-all.files
grep plugin  %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-plugin.files
grep ControlPanel %{name}-%{version}-all.files | sort \
  >> %{name}-%{version}-plugin.files
grep Jdbc    %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-jdbc.files
grep -F alsa.so %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-alsa.files
cat %{name}-%{version}-all.files \
  | grep -v plugin \
  | grep -v ControlPanel \
  | grep -v Jdbc \
  | grep -v lib/fonts \
  | grep -vF alsa.so \
  | grep -v jre/lib/security \
  > %{name}-%{version}.files

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -f %{_mandir}/man1/java-%{name}.1.bz2 ] && ext=".bz2"
[ -f %{_mandir}/man1/java-%{name}.1.gz ] && ext=".gz"
update-alternatives --install %{_bindir}/java java %{jrebindir}/java %{priority} \
%ifarch %ix86
--slave %{_datadir}/javaws                 javaws                      %{_jvmdir}/%{jrelnk}/javaws/javaws \
%endif
--slave %{_jvmdir}/jre                     jre                         %{_jvmdir}/%{jrelnk} \
--slave %{_jvmjardir}/jre                  jre_exports                 %{_jvmjardir}/%{jrelnk} \
--slave %{_bindir}/keytool                 keytool                     %{jrebindir}/keytool \
--slave %{_bindir}/orbd                    orbd                        %{jrebindir}/orbd \
--slave %{_bindir}/policytool              policytool                  %{jrebindir}/policytool \
--slave %{_bindir}/rmid                    rmid                        %{jrebindir}/rmid \
--slave %{_bindir}/rmiregistry             rmiregistry                 %{jrebindir}/rmiregistry \
--slave %{_bindir}/servertool              servertool                  %{jrebindir}/servertool \
--slave %{_bindir}/tnameserv               tnameserv                   %{jrebindir}/tnameserv \
--slave %{_mandir}/man1/java.1$ext         java.1$ext                  %{_mandir}/man1/java-%{name}.1$ext \
--slave %{_mandir}/man1/keytool.1$ext      keytool.1$ext               %{_mandir}/man1/keytool-%{name}.1$ext \
--slave %{_mandir}/man1/orbd.1$ext         orbd.1$ext                  %{_mandir}/man1/orbd-%{name}.1$ext \
--slave %{_mandir}/man1/policytool.1$ext   policytool.1$ext            %{_mandir}/man1/policytool-%{name}.1$ext \
--slave %{_mandir}/man1/rmid.1$ext         rmid.1$ext                  %{_mandir}/man1/rmid-%{name}.1$ext \
--slave %{_mandir}/man1/rmiregistry.1$ext  rmiregistry.1$ext           %{_mandir}/man1/rmiregistry-%{name}.1$ext \
--slave %{_mandir}/man1/servertool.1$ext   servertool.1$ext            %{_mandir}/man1/servertool-%{name}.1$ext \
--slave %{_mandir}/man1/tnameserv.1$ext    tnameserv.1$ext             %{_mandir}/man1/tnameserv-%{name}.1$ext \
--slave %{_mandir}/man1/javaws.1$ext       javaws.1$ext                %{_mandir}/man1/javaws-%{name}.1$ext \
--slave %{_mandir}/man1/kinit.1$ext        kinit.1$ext                 %{_mandir}/man1/kinit-%{name}.1$ext \
--slave %{_mandir}/man1/klist.1$ext        klist.1$ext                 %{_mandir}/man1/klist-%{name}.1$ext \
--slave %{_mandir}/man1/ktab.1$ext         ktab.1$ext                  %{_mandir}/man1/ktab-%{name}.1$ext
%ifarch %ix86 
# set link to javaws
if [ -e /etc/alternatives/javaws/javaws ] 
then rm -f /usr/bin/javaws; ln -sf /etc/alternatives/javaws/javaws /usr/bin/javaws
elif [ -e /etc/alternatives/javaws ]
then rm -f /usr/bin/javaws; ln -sf /etc/alternatives/javaws /usr/bin/javaws
fi
%endif
update-alternatives --install %{_jvmdir}/jre-%{origin} jre_%{origin} %{_jvmdir}/%{jrelnk} %{priority} \
--slave %{_jvmjardir}/jre-%{origin}        jre_%{origin}_exports     %{_jvmjardir}/%{jrelnk}
update-alternatives --install %{_jvmdir}/jre-%{javaver} jre_%{javaver} %{_jvmdir}/%{jrelnk} %{priority} \
--slave %{_jvmjardir}/jre-%{javaver}       jre_%{javaver}_exports      %{_jvmjardir}/%{jrelnk}
if [ -d %{_jvmdir}/%{jrelnk}/lib/security ]; then
  # Need to remove the old jars in order to support upgrading, ugly :(
  # update-alternatives fails silently if the link targets exist as files.
  rm -f %{_jvmdir}/%{jrelnk}/lib/security/{local,US_export}_policy.jar
fi
update-alternatives \
  --install \
    %{_jvmdir}/%{jrelnk}/lib/security/local_policy.jar \
    jce_%{javaver}_%{origin}_local_policy \
    %{_jvmprivdir}/%{name}/jce/vanilla/local_policy.jar \
    %{priority} \
  --slave \
    %{_jvmdir}/%{jrelnk}/lib/security/US_export_policy.jar \
    jce_%{javaver}_%{origin}_us_export_policy \
    %{_jvmprivdir}/%{name}/jce/vanilla/US_export_policy.jar
perl -p -i -e "s#application/x-java-jnlp-file.*##" %{_sysconfdir}/mailcap.bak 2>/dev/null
echo "type=application/x-java-jnlp-file; description=\"Java Web Start\"; exts=\"jnlp\"" >> %{_sysconfdir}/mailcap 2>/dev/null
perl -p -i -e "s#application/x-java-jnlp-file.*##" %{_sysconfdir}/mime.types 2>/dev/null
echo "application/x-java-jnlp-file      jnlp" >> %{_sysconfdir}/mime.types 2>/dev/null
# suse compatibility links
# only create symlinks if this is the first
if ! [ -e /usr/lib/jre ]; then
  ln -sf /usr/lib/jvm/jre /usr/lib/jre
fi

%post devel
ext=
[ -f %{_mandir}/man1/javac-%{name}.1.bz2 ] && ext=".bz2"
[ -f %{_mandir}/man1/javac-%{name}.1.gz ] && ext=".gz"
update-alternatives --install %{_bindir}/javac javac %{sdkbindir}/javac %{priority} \
--slave %{_jvmdir}/java                     java_sdk                    %{_jvmdir}/%{sdklnk} \
--slave %{_jvmjardir}/java                  java_sdk_exports            %{_jvmjardir}/%{sdklnk} \
--slave %{_bindir}/appletviewer             appletviewer                %{sdkbindir}/appletviewer \
--slave %{_bindir}/extcheck                 extcheck                    %{sdkbindir}/extcheck \
--slave %{_bindir}/idlj                     idlj                        %{sdkbindir}/idlj \
--slave %{_bindir}/jar                      jar                         %{sdkbindir}/jar \
--slave %{_bindir}/jarsigner                jarsigner                   %{sdkbindir}/jarsigner \
--slave %{_bindir}/javadoc                  javadoc                     %{sdkbindir}/javadoc \
--slave %{_bindir}/javah                    javah                       %{sdkbindir}/javah \
--slave %{_bindir}/javap                    javap                       %{sdkbindir}/javap \
--slave %{_bindir}/jdb                      jdb                         %{sdkbindir}/jdb \
--slave %{_bindir}/native2ascii             native2ascii                %{sdkbindir}/native2ascii \
--slave %{_bindir}/rmic                     rmic                        %{sdkbindir}/rmic \
--slave %{_bindir}/serialver                serialver                   %{sdkbindir}/serialver \
--slave %{_bindir}/HtmlConverter            HtmlConverter               %{sdkbindir}/HtmlConverter \
--slave %{_mandir}/man1/appletviewer.1$ext  appletviewer.1$ext          %{_mandir}/man1/appletviewer-%{name}.1$ext \
--slave %{_mandir}/man1/extcheck.1$ext      extcheck.1$ext              %{_mandir}/man1/extcheck-%{name}.1$ext \
--slave %{_mandir}/man1/idlj.1$ext          idlj.1$ext                  %{_mandir}/man1/idlj-%{name}.1$ext \
--slave %{_mandir}/man1/jar.1$ext           jar.1$ext                   %{_mandir}/man1/jar-%{name}.1$ext \
--slave %{_mandir}/man1/jarsigner.1$ext     jarsigner.1$ext             %{_mandir}/man1/jarsigner-%{name}.1$ext \
--slave %{_mandir}/man1/javac.1$ext         javac.1$ext                 %{_mandir}/man1/javac-%{name}.1$ext \
--slave %{_mandir}/man1/javadoc.1$ext       javadoc.1$ext               %{_mandir}/man1/javadoc-%{name}.1$ext \
--slave %{_mandir}/man1/javah.1$ext         javah.1$ext                 %{_mandir}/man1/javah-%{name}.1$ext \
--slave %{_mandir}/man1/javap.1$ext         javap.1$ext                 %{_mandir}/man1/javap-%{name}.1$ext \
--slave %{_mandir}/man1/jdb.1$ext           jdb.1$ext                   %{_mandir}/man1/jdb-%{name}.1$ext \
--slave %{_mandir}/man1/native2ascii.1$ext  native2ascii.1$ext          %{_mandir}/man1/native2ascii-%{name}.1$ext \
--slave %{_mandir}/man1/rmic.1$ext          rmic.1$ext                  %{_mandir}/man1/rmic-%{name}.1$ext \
--slave %{_mandir}/man1/serialver.1$ext     serialver.1$ext             %{_mandir}/man1/serialver-%{name}.1$ext
update-alternatives --install %{_jvmdir}/java-%{origin} java_sdk_%{origin} %{_jvmdir}/%{sdklnk} %{priority} \
--slave %{_jvmjardir}/java-%{origin}        java_sdk_%{origin}_exports     %{_jvmjardir}/%{sdklnk}
update-alternatives --install %{_jvmdir}/java-%{javaver} java_sdk_%{javaver} %{_jvmdir}/%{sdklnk} %{priority} \
--slave %{_jvmjardir}/java-%{javaver}       java_sdk_%{javaver}_exports      %{_jvmjardir}/%{sdklnk}
# suse compatibility links
# only create symlinks if this is the first
if ! [ -e /usr/lib/java ]; then
  ln -sf /usr/lib/jvm/java /usr/lib/java
fi
%ifarch %ix86 

%post plugin
# set link to plugin lib
ln -sf %{pluginpath}/%{pluginname} %{pluginsdir} 

%preun plugin
if [ "$1" = "0" ] ; then
rm %{pluginsdir}/%{pluginname}
fi
%endif

%postun
if [ $1 -eq 0 ]; then
  update-alternatives --remove java %{jrebindir}/java
  update-alternatives --remove \
    jce_%{javaver}_%{origin}_local_policy \
    %{_jvmprivdir}/%{name}/jce/vanilla/local_policy.jar
  update-alternatives --remove jre_%{origin}  %{_jvmdir}/%{jrelnk}
  update-alternatives --remove jre_%{javaver} %{_jvmdir}/%{jrelnk}
fi

%postun devel
if [ $1 -eq 0 ]; then
  update-alternatives --remove javac %{sdkbindir}/javac
  update-alternatives --remove java_sdk_%{origin}  %{_jvmdir}/%{sdklnk}
  update-alternatives --remove java_sdk_%{javaver} %{_jvmdir}/%{sdklnk}
fi

%files -f %{name}-%{version}.files
%defattr(-,root,root,-)
%ifarch %ix86
%{_datadir}/applications/jpackage-%{name}-webstart.desktop
%endif
%doc jre/CHANGES jre/COPYRIGHT jre/LICENSE jre/README
%doc jre/Welcome.html jre/THIRDPARTYLICENSEREADME.txt
%dir %{_jvmdir}/%{sdkdir}
%dir %{jvmjardir}
%dir %{_jvmdir}/%{jredir}/lib/fonts
%{_jvmdir}/%{jredir}/lib/fonts/*.ttf
%verify(not md5 size mtime) %{_jvmdir}/%{jredir}/lib/fonts/fonts.dir
%dir %{_jvmdir}/%{jredir}/lib/security
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/cacerts
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/java.policy
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/java.security
%ghost %{_jvmdir}/%{jredir}/lib/security/local_policy.jar
%ghost %{_jvmdir}/%{jredir}/lib/security/US_export_policy.jar
%{jvmjardir}/*.jar
%{_jvmdir}/%{jrelnk}
%{_jvmjardir}/%{jrelnk}
%{_jvmprivdir}/*
%{_mandir}/man1/java-%{name}.1*
%{_mandir}/man1/keytool-%{name}.1*
%{_mandir}/man1/orbd-%{name}.1*
%{_mandir}/man1/policytool-%{name}.1*
%{_mandir}/man1/rmid-%{name}.1*
%{_mandir}/man1/rmiregistry-%{name}.1*
%{_mandir}/man1/servertool-%{name}.1*
%{_mandir}/man1/tnameserv-%{name}.1*
%{_mandir}/man1/javaws-%{name}.1*
%{_mandir}/man1/kinit-%{name}.1*
%{_mandir}/man1/klist-%{name}.1*
%{_mandir}/man1/ktab-%{name}.1*

%files devel
%defattr(-,root,root,-)
%doc COPYRIGHT LICENSE README README.html THIRDPARTYLICENSEREADME.txt
%dir %{_jvmdir}/%{sdkdir}/bin
%dir %{_jvmdir}/%{sdkdir}/include
%dir %{_jvmdir}/%{sdkdir}/lib
%{_jvmdir}/%{sdkdir}/bin/*
%{_jvmdir}/%{sdkdir}/include/*
%{_jvmdir}/%{sdkdir}/lib/*
%{_jvmdir}/%{sdklnk}
%{_jvmjardir}/%{sdklnk}
%{_mandir}/man1/appletviewer-%{name}.1*
%{_mandir}/man1/extcheck-%{name}.1*
%{_mandir}/man1/idlj-%{name}.1*
%{_mandir}/man1/jar-%{name}.1*
%{_mandir}/man1/jarsigner-%{name}.1*
%{_mandir}/man1/javac-%{name}.1*
%{_mandir}/man1/javadoc-%{name}.1*
%{_mandir}/man1/javah-%{name}.1*
%{_mandir}/man1/javap-%{name}.1*
%{_mandir}/man1/jdb-%{name}.1*
%{_mandir}/man1/native2ascii-%{name}.1*
%{_mandir}/man1/rmic-%{name}.1*
%{_mandir}/man1/serialver-%{name}.1*

%files src
%defattr(-,root,root,-)
%{_jvmdir}/%{sdkdir}/src.zip

%files demo
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/demo
%ifarch %ix86 

%files alsa -f %{name}-%{version}-alsa.files
%defattr(-,root,root,-)
%endif

%files jdbc -f %{name}-%{version}-jdbc.files
%defattr(-,root,root,-)
%ifarch %ix86

%files plugin -f %{name}-%{version}-plugin.files
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%doc jre/ControlPanel.html
%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop
%{_datadir}/pixmaps/sun-java-%{version}-%{release}.png
%endif

%changelog
* Mon Nov 10 2008 - mvyskocil@suse.cz
- timezone update to 1_3_9-2008g (bnc#427616)
  - defined tzversion macro for better maintenance in future.
* Mon Jul 14 2008 - anosek@suse.cz
- updated to 1.4.2u18 (bnc#407935)
- updated timezone data
* Wed Mar 26 2008 - mvyskocil@suse.cz
- update to 1.4.2u17: VUL-0: java: multiple vulnerabilities [bnc#368134]
- CVE-2008-1158: Unspecified vulnerability in the Virtual Machine for
  Sun Java Runtime Environment (JRE) and JDK 6 Update 4 and earlier, 5.0
  Update 14 and earlier, and SDK/JRE 1.4.2_16 and earlier allows remote
  attackers should gain privileges via an untrusted application or applet, a
  different issue than CVE-2008-1186.
- CVE-2008-1186: Unspecified vulnerability in the Virtual Machine for
  Sun Java Runtime Environment (JRE) and JDK 5.0 Update 13 and earlier,
  and SDK/JRE 1.4.2_16 and earlier, allows remote attackers to gain
  privileges via an untrusted application or applet, a different issue
  than CVE-2008-1185.
- CVE-2008-1187: Unspecified vulnerability in Sun Java Runtime
  Environment (JRE) and JDK 6 Update 4 and earlier, 5.0 Update 14 and
  earlier, and SDK/JRE 1.4.2_16 and earlier allows remote attackers to
  cause a denial of service (JRE crash) and possibly execute arbitrary
  code via unknown vectors related to XSLT transforms.
- CVE-2008-1189: Buffer overflow in Java Web Start in Sun JDK and JRE
  6 Update 4 and earlier, 5.0 Update 14 and earlier, and SDK/JRE
  1.4.2_16 and earlier allows remote attackers to execute arbitrary code
  via unknown vectors, a different issue than CVE-2008-1188.
- CVE-2008-1190: Unspecified vulnerability in Java Web Start in Sun
  JDK and JRE 6 Update 4 and earlier, 5.0 Update 14 and earlier, and
  SDK/JRE 1.4.2_16 and earlier allows remote attackers to gain
  privileges via an untrusted application, a different issue than
  CVE-2008-1191.
- CVE-2008-1192: Unspecified vulnerability in the Java Plug-in for Sun
  JDK and JRE 6 Update 4 and earlier, and 5.0 Update 14 and earlier; and
  SDK and JRE 1.4.2_16 and earlier, and 1.3.1_21 and earlier; allows
  remote attackers to bypass the same origin policy and "execute local
  applications" via unknown vectors.
- CVE-2008-1195: Unspecified vulnerability in Sun JDK and Java Runtime
  Environment (JRE) 6 Update 4 and earlier and 5.0 Update 14 and
  earlier; and SDK and JRE 1.4.2_16 and earlier; allows remote attackers
  to access arbitrary network services on the local host via unspecified
  vectors related to JavaScript and Java APIs.
- CVE-2008-1196: Stack-based buffer overflow in Java Web Start
  (javaws.exe) in Sun JDK and JRE 6 Update 4 and earlier and 5.0 Update
  14 and earlier; and SDK and JRE 1.4.2_16 and earlier; allows remote
  attackers to execute arbitrary code via a crafted JNLP file.
* Thu Oct 11 2007 - mvyskocil@suse.cz
- update to 1.4.2 / 16  [#332137]
   - Fixed vulnerabilities: CVE-2007-5232, CVE-2007-5236,
  CVE-2007-523, CVE-2007-523, CVE-2007-5240
* Tue Jul 03 2007 - dbornkessel@suse.de
- update to 1.4.2 / 15 (Bug #284436 and Bug #271324)
  Changes in 1.4.2_15
  The official version number for this update release is 1.4.2_15-b02.
  OlsonData 2007f
  This release contains Olson time zone data version 2007f. For more information, see US DST Timezone Updater.
  Bug Fixes:
  - Additional path for 5.0 jvm crash on exhaustion of CodeBuffer
  - Running codecache out of space can cause vm abort.
  - CTW failure in optimize_inlining()
  - Badly formed debug statement in ReferenceProcessor::delete_null_referents_from_lists
  - Some GC info are not redirected to -Xloggc file
  - VM crashes because of something related to LoaderConstraintEntry in 6.0
  - Message on UnsatisfiedLinkError is not displayed correctly in Japanese locale
  - Java2D: Aakar and Rekha fonts crash JDK.
  - RI crashes on Windows when executing tests.api.java.awt.Toolkit.CursorTests
  - Regression: getResourceAsStream cannot access a resource inside a jar file that has spaces in path
  - regression of 5017051
  - Resources with percent encoded characters no longer load with 1.4.2_13
  - Nightly: Jaws hang on "Starting application..." window
  - 30 MB memory trashed to get 30 kb string url encoded
  - CR 4964288 (sound, Unexpected IAE raised while getting TargetData) is not fixed in windows-amd64 JDK
  - api/javax_sound/sampled/TargetDataLine/index.html#TargetDataLine fails
  - JFileChooser throws OOM in 1.4.2, 5.0u4 and 1.6.0
  - JFileChooser seems to cause OutOfMemory in 1.4.2, 5.0u4 and mustang-b75
  - (tz) Support tzdata2007f
  - ZipInputStream does not check CRC for stored (uncompressed) files
  - deadlock occurs in LogManager initialization and JVM termination
  - deadlock in LogManager
  - HeapDumpOnOutOfMemoryError option doesn't work with through-put collector in 1.4.2
  - jmap -permstat fails with Out of swap because uses too much memory
  - IE hangs when a modal dialog is active with concurrent window re-focus activities
  - Print Dialogue should be modal in 1.4.2/5.0
  - ControlPanelApplet can be access from client application
  - request header has garbage characters when size of cookie is greater than 4k
  - 1.4.2_15 MIME type in Java Plug-in 1.4.2_15-ea-b01 is missing
  - DNS provider does not cleanup resources properly
  Changes in 1.4.2_14
  The official version number for this update release is 1.4.2_14-b05.
  US Daylight Savings Time Sun Alert 102836
  Bug 6530336 that was part of Sun Alert 102836, has been fixed in this release. As a result, it is no longer necessary to run the tzupdater tool with the -bc flag to work around this bug. Bug 6466476, that was also part of Sun Alert 102836 has not yet been fixed. If your application uses the deprecated java.util.Timezone IDs and is sensitive to the behavior outlined in 6466476, you will still need to run the tzupdater tool with the -bc flag as a work-around. Note that running tzupdater with the -bc flag does not hinder the fix for 6530336 in any way.
  This release contains Olson time zone data version 2007a. If you need the latest Olson data (currently 2007c) in order to accommodate the America/Indiana/Winamac changes (see US Daylight Savings Time Changes and the Java SE Platform: FAQ (Appendix)), then you will need to run the tzupdater (with -bc flag as appropriate) after installing this release. Please see Sun Java SE JDK tzupdater Tool for more information on how to do this.
  Bug Fixes
  Bug fixes are listed in the following table.
  - hotspot SIGSEGV in CE_Eliminator::block_do
  - Remainder operation seems to cause an exception in 1.4.2_12
  - Excessively long CMS preclean cycle eventually leads to concurrent mode failure
  - 1.4.2_11 java_g iCMS assert(referent->is_oop(),"Adding a bad referent")")
  - 1.5.0: CMS: misleading preclean and abortable preclean statistics
  - Crash due to fatal error in Par_PushAndMarkClosure::do_oop()
  - CMS+ParNew: wildly different ParNew pause times depending on heap shape caused by allocation spread
  - Memory leaks of C-heap allocated ResourceObjs
  - Assertion failure "wrong array object size"
  - CMS: NewRatio ignored in the setting of NewSize and MaxNewSize
  - CMS: Enable icms statistics gathering from cms initiation
  - ParNewGC times spiking, eventually taking up 20 out of every 30 seconds
  - Allocation of huge array which would cause OutOfMemoryError causes JVM to hang with -Xincgc
  - The JVM unblocks SIGUSR1 if the -XX:+UseAltSigs option is used.
  - delayed attach JVMPI clients hang after setup of JVMPI interface
  - Abort (core dumped) occurs related to deoptimization in 1.4.2_07
  - compatibility issue due to 5060487
  - icache invalidation code can segv
  - JVM should output some message when VM cannot get contiguous memory with big -Xmx in 1.4.2
  - java.beans.EventHandler defeats AWT exception handling
  - (process) Runtime.exec won't execute programs belonging to other groups on Unix
  - HTTP Request-URI contains fragment when connecting through proxy
  - URLConnection is silently retrying POST request
  - VISTA: Socket setTcpNoDelay & setKeepAlive working incorrectly
  - (bf) ByteBuffer.reset throws InvalidMarkException if ByteBuffer.duplicate called when mark == 0
  - (so) Missing encoding conversion in handleSocketError
  - (tz) DST bug in latest jdk releases when using EST MST and HST abbreviations
  - (tz) Support tzdata2006n
  - (tz) Support tzdata2007a
  - (tz) Support tzdata2006p
  - FREE_AND_RETURN_NULL target in readLoc() in zip_util.c is missing null check
  - Copyright year need to modify with 2007 in J2SE UR releases
  - error message at rpm uninstall, deleted /etc/mailcap
  - CAxControl::OnJSInvokeMethod() - Access violation potential
  - To download an applet does not finish for 10 minutes with proxy server and IIS
  - Plugin can freeze when multiple applets use Thread.setName()
  - krb5 shouldn't use an empty salt field in KRB_ERROR
  - could put in a workaround for 4796657
* Thu Dec 21 2006 - dbornkessel@suse.de
- Security update to version 1.4.2 update 13 due to Bug #229905
  For more info consult Sun advisory page at:
  http://sunsolve.sun.com/search/document.do?assetkey=1-26-102731-1
* Wed Sep 13 2006 - dbornkessel@suse.de
- Update to 1.4.2 update 12
- Versioning naming according to sun style (1.4.2_update12)
* Wed Aug 16 2006 - sndirsch@suse.de
- fixed font paths for X.Org 7
* Mon Jul 10 2006 - dbornkessel@suse.de
- deleted explicit self-provide of jdbc sub-package
* Wed Apr 19 2006 - dbornkessel@suse.de
- subsequent update-alternatives call deleted symbolic links (Bug #164953)
* Mon Mar 27 2006 - dbornkessel@suse.de
- update to 1.4.2-11 due to Bug #158033
- Provide j2re for runtime and j2sdk for sdk ... Bug #160109
* Fri Mar 17 2006 - dbornkessel@suse.de
- added versionless jdbc provide:
  Provides:       %%{name}-jdbc = %%{version}, %%{name}-jdbc,  java-jdbc = %%{version}, java-jdbc
* Mon Mar 13 2006 - dbornkessel@suse.de
- added missing PreReq: /usr/bin/update-alternatives
* Fri Feb 17 2006 - stbinner@suse.de
- fix Name<->GenericName duplication .desktop file
* Mon Feb 13 2006 - schwab@suse.de
- Fix %%pluginpath.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 15 2005 - dbornkessel@suse.de
- NoSource'd binary tar balls
* Fri Nov 18 2005 - dbornkessel@suse.de
- updated to 1.4.2-10
- removed x86_64 as a build platform, as we don't have a package for that platform
- created menu entry for plugin configuration tool and javaws
- created plugin link in /usr/lib/browser-plugins
- created correct link for javaws
* Wed Oct 05 2005 - dbornkessel@suse.de
- updated to release 09
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Wed Mar 02 2005 - skh@suse.de
- add improved font.properties (#62328, #61686)
* Fri Nov 26 2004 - skh@suse.de
- updated to release 06 to fix privilege escalation vulnerability
  in plugin:
  http://sunsolve.sun.com/search/document.do?assetkey=1-26-57591-1
* Fri Oct 01 2004 - skh@suse.de
- #46638: Fix font.properties.ja so that it uses useable and
  correct fonts for Japanese (mfabian@suse.de)
* Wed Sep 29 2004 - skh@suse.de
- #46379: use force-symlinking in %%post where necessary
  (choeger@suse.de)
* Fri Sep 17 2004 - skh@suse.de
- Add Obsoletes and Provides for smoother update experience
- create compat symlinks in %%post
* Mon Sep 13 2004 - skh@suse.de
- Added Provides for SUSE compatibility
* Mon Sep 06 2004 - ro@suse.de
- fixed typo in last change
* Mon Sep 06 2004 - ro@suse.de
- replaced BuildArch with ExclusiveArch
* Mon Sep 06 2004 - skh@suse.de
- Remove dots from package name to not confuse tools
* Thu Sep 02 2004 - skh@suse.de
- Initial JPackage version 1.4.2 (JPackage 1.5)
